Users

get

Return information about the current user (based on JWT token) including permissions

🔒 Requires the read:users permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Information about the current user with permissions

application/json

Information about the current user with permissions

idstringRequired

The user's unique ID e.g. prov0|1234567890

Example: prov0|1234567890
namestringRequired

The user's full name

Example: John Doe
emailstringRequired

The user's email address

Example: [email protected]
picturestringOptional

The user's profile picture

Example: https://example.com/profile.jpg
first_namestringOptional

The user's first name

Example: John
last_namestringOptional

The user's last name

Example: Doe
nicknamestringOptional

The user's nickname

Example: JD
created_atstring · date-timeOptional

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

permissionsstring[]Required

Array of user's permissions

Example: read:users
pylonEmailHashstringOptional

HMAC SHA-256 hash of the user email for Pylon identity verification

Example: a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6
get
/api/v1/user/me
get

Return basic information about user by ID

🔒 Requires the read:users permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The user's unique ID e.g. prov0|1234567890

Example: prov0|1234567890
Responses
chevron-right
200

Information about user

application/json

Information about user

idstringRequired

The user's unique ID e.g. prov0|1234567890

Example: prov0|1234567890
namestringRequired

The user's full name

Example: John Doe
emailstringRequired

The user's email address

Example: [email protected]
picturestringOptional

The user's profile picture

Example: https://example.com/profile.jpg
first_namestringOptional

The user's first name

Example: John
last_namestringOptional

The user's last name

Example: Doe
nicknamestringOptional

The user's nickname

Example: JD
created_atstring · date-timeOptional

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

get
/api/v1/user/{id}
post

Update roles to user by id

🔒 Requires the update:users permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The user's unique ID e.g. prov0|1234567890

Example: prov0|1234567890
Body
rolesstring[]RequiredExample: ["rol_abCdeFghIjklMnmP"]
addbooleanOptional

If true, add the new role to an existing one. If false, override an existing role

Responses
chevron-right
200

User roles updated successfully

application/json

User roles updated successfully

idstringRequired

The user's unique ID e.g. prov0|1234567890

Example: prov0|1234567890
namestringRequired

The user's full name

Example: John Doe
emailstringRequired

The user's email address

Example: [email protected]
picturestringOptional

The user's profile picture

Example: https://example.com/profile.jpg
post
/api/v1/user/{id}/roles

Last updated

Was this helpful?